org.encog.ml.world.basic

## Class BasicAgent

- java.lang.Object
- - org.encog.ml.world.basic.BasicAgent

- All Implemented Interfaces:
    WorldAgent

      public class BasicAgent
      extends Object
      implements WorldAgent

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicAgent()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `State` | `getCurrentState()`
    `AgentPolicy` | `getPolicy()`
    `World` | `getWorld()`
    `void` | `setAgentPolicy(AgentPolicy p)`
    `void` | `setCurrentState(State s)`
    `void` | `setWorld(World world)`
    `void` | `tick()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicAgent

          public BasicAgent()

  - ### Method Detail

    - #### getCurrentState

          public State getCurrentState()

      Specified by:
        `getCurrentState` in interface `WorldAgent`

    - #### setCurrentState

          public void setCurrentState(State s)

      Specified by:
        `setCurrentState` in interface `WorldAgent`

    - #### getPolicy

          public AgentPolicy getPolicy()

      Specified by:
        `getPolicy` in interface `WorldAgent`

    - #### setAgentPolicy

          public void setAgentPolicy(AgentPolicy p)

      Specified by:
        `setAgentPolicy` in interface `WorldAgent`

    - #### getWorld

          public World getWorld()

      Specified by:
        `getWorld` in interface `WorldAgent`
      Returns:
        the world

    - #### setWorld

          public void setWorld(World world)

      Specified by:
        `setWorld` in interface `WorldAgent`
      Parameters:
        `world` - the world to set

    - #### tick

          public void tick()

      Specified by:
        `tick` in interface `WorldAgent`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.